package com.mx.dla.dda.contrato.common.daos;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.mx.dla.dda.contrato.common.dtos.DocumentoDTO;

public interface DocumentoDAO {
	
	void insertarDocumento(DocumentoDTO documento);
	
	void borrarDocumento(@Param("idContratoDocto") Long idContratoDocto);
	
	DocumentoDTO buscarDocumento(@Param("idContratoDocto") Long idContratoDocto);
	
	List<DocumentoDTO> buscarDocumentos(@Param("idContrato") Long idContrato);
	
	DocumentoDTO obtenerUltimoDocumento(@Param("idContrato") Long idContrato);

	void updateDocumento(DocumentoDTO documento);
}
